{ lib ? import <nixpkgs/lib>
, common_amd64
}:
{
  overlays = common_amd64.overlays ++ [(final: prev: {

    platform_name = "am1i";

    kernel =
      final.lib.makeOverridable (prev.kernel.override {
        config = ./linux.config;
        buildTargets = [ "bzImage" ];
      }).overrideAttrs (a: {
        postInstall = (a.postInstall or "") + ''
          cp arch/x86_64/boot/bzImage $out/
        '';
      });

    console-device = "ttyS0";

    coreboot = final.lib.makeOverridable (prev.coreboot.override {
      iasl = final.iasl_20180531;
      payload = "${final.kernel}/bzImage";
      coreboot-toolchain = with final.coreboot-toolchain; [ x64 i386 ];
      fmap = ./custom.fmap;
      config = ./coreboot.config;
    }).overrideAttrs (a: {
      /*
      postConfigure = (a.postConfigure or "") + ''
        echo CONFIG_VGA_BIOS_FILE=\"${./kabini-vgabios.rom}\" >> .config
      '';
      */
      postInstall = (a.postInstall or "") + ''
        cp src/mainboard/asus/am1i-a/cmos.layout $out/
      '';
    });
  })];
}

